List

View as Markdown
Returns a list of all merchant's products that are autoship enabled and not discontinued.

Authentication

x-api-keystring
API Key authentication via header

Query parameters

searchstringOptional

A single string value used to search for products. The value in this parameter will be matched against product’s name, sku, or external_product_id, depending on the field specified in the “fields” parameter. e.g. /products?search=12345&fields=sku

fieldsstringOptional
Specifies which field (name, sku, or external_product_id) the "search" parameter value should be matched against. name – Matches the search value against the product’s name. sku – Matches the search value against the product’s SKU. external_product_id – Matches the search value against the product’s external product ID. e.g. /products?search=12345&fields=sku
id_or_namestringOptional
Case insensitive partial match for Product ID or Name
autoship_enabledstringOptional
By default the endpoint will only return products that are autoship enabled, but you can change the behavior by passing "all" to return all products regardless of their autoship status. You can also pass "false" to only return products that are NOT autoship enabled
allow_discontinuedstringOptional

By default the endpoint returns non-discontinued products, but you can change the behavior by passing “true” to also include discontinued products. You can also pass “strict” to only list the discontinued products

group_namestringOptional
Product group's name
group_typestringOptional
Product group's type
autoship_by_defaultbooleanOptional
livebooleanOptional

Account status: active = True

external_product_ids[]stringOptional

Product ID (could be passed multiple times in the query string to match multiple products). Note there is ”[]” at the end of this field that is required

product_typeenumOptional
Product Type
Allowed values:
include_product_selection_rulesbooleanOptionalDefaults to false

For rotating products this param returns a product_selection_rules list with all selection_list_elements

Response

200
countintegerDefaults to 0
nextstring
previousany
resultslist of objects

Errors

403
Forbidden Error
404
Not Found Error